# Interface OpacityEffectFunctionJson

An Effect Function for the opacity effect.

interface OpacityEffectFunctionJson {
amount?: number;
type: "opacity";
}

#### Hierarchy

- GenericEffectFunctionJson
  - OpacityEffectFunctionJson

#####
Index

### Properties

amount?
type

##
Properties

### `Optional` amount

amount?: number

Amount of effect. A value of 0 leaves the input unchanged. Grayscale, invert, sepia, and opacity effects accept a maximum amount of 1 which applies the effect at 100%. Brightness, contrast, and saturate can accept amount above 1. Negative values are not allowed.

Inherited from GenericEffectFunctionJson.amount

### type

type

Effect type.

Overrides GenericEffectFunctionJson.type